Bug 142446 - CAN-2004-1138 vim arbitrary command execution vulnerability
CAN-2004-1138 vim arbitrary command execution vulnerability
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-12-09 14:20 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 09:36:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-09 14:20:17 EST
This was reported by gentoo to vendor-sec

Ciaran McCreesh, our Gentoo vim maintainer, found and reported upstream
several modeline-related vulnerabilities in vim :

It's possible to do some pretty nasty stuff via vim modelines despite
the existing security code.

For example, by passing evil values for a fileformat setting in a
modeline, it's possible to make vim source arbitrary scripts upon
startup. This would hurt on a multiuser system. Here's one way:

User 'fred' creates a file in /home/fred/evil.vim containing lots of
nastiness (for example, "system('echo alias vim=emacs >> ~/.bashrc') |
quit"). He then creates a file in some shared location with a modeline
which does something like"set ft=../../../*fred/evil". User 'joe', who
has ftplugins and modelines enabled, edits this file. This results in a
call of ":runtime!../../../*fred/evil" , which (assuming ~/.vim is in
runtimepath) expands to ~/.vim/../../../*fred/evil which matches

Bram Moolenaar provided the following vim patch, that fixes the reported
vulnerabilities and adds more conservative modeline rights :

Patch 6.3.045
Problem:   Unusual characters in an option value may cause unexpected
           behavior, especially for a modeline. (Ciaran McCreesh)
Solution:  Don't allow setting termcap options or 'printdevice' or
           'titleold' in a modeline.  Don't list options for "termcap"
           and "all" in a modeline.  Don't allow unusual characters in
           'filetype', 'syntax', 'backupext', 'keymap', 'patchmode' and
Files:     src/option.c, runtime/doc/options.txt
Comment 1 Josh Bressers 2004-12-09 14:21:15 EST
Treat this issue as embargoed for now.  While it is technically
public, it's not well known.
Comment 2 Josh Bressers 2004-12-15 16:45:57 EST
Lifting embargo
Comment 3 Karsten Hopp 2005-01-12 09:36:08 EST
FC3 packages with a fix pushed and announced

Note You need to log in before you can comment on or make changes to this bug.